//#####################################################################
// Copyright 2004-2007, Ron Fedkiw, Geoffrey Irving, Craig Schroeder, Andrew Selle, Tamar Shinar, Eftychios Sifakis, Joseph Teran.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Parsing/PARSE_ARGS.h>
#include <Solids/Examples_And_Drivers/SOLIDS_DRIVER.h>
#include <Solids/Solids/SOLID_BODY_COLLECTION.h>
#include <Solids/Solids/SOLIDS_PARAMETERS.h>
#include "Standard_Tests/STANDARD_TESTS.h"
#include <climits>

using namespace PhysBAM;

int main(int argc,char* argv[])
{
    typedef float T;
    typedef VECTOR<T,3> TV;
    STREAM_TYPE stream_type=STREAM_TYPE::type_float;

    PARSE_ARGS parse_args(argc,argv);
    SOLIDS_EXAMPLE<TV>* example;
    example=new STANDARD_TESTS<T>(stream_type,parse_args);

    
    SOLIDS_DRIVER<TV> driver(*example);
    driver.Execute_Main_Program();

    delete example;
    return 0;
}
//#####################################################################
